.graphics {
  background: $main-bgcolor;
}

.graphics__title {
  padding-top: 58px;
  padding-bottom: 28px;
  color: $main-color;
  font-size: 36px;
  font-weight: 700;
  @media (max-width: 325px) {
    font-size: 35px;
  }
  @media (min-width: 768px) {
    font-size: 80px;
  }
}

.graphics__list {
  padding-left: 0;
  list-style: none;
  display: grid;
  grid-template-areas:
    ' img1'
    ' img2'
    ' img3';
  column-gap: 34px;
  @media (min-width: 768px) {
    grid-template-areas:
      ' img1 img1'
      ' img2 img3';
    column-gap: 26px;
  }

  @media (min-width: 1200px) {
    column-gap: 26px;
  }
}

.graphics__item {
  &--decor1 {
    grid-area: img1;
    margin-bottom: 20px;
    position: relative;
    @media (min-width: 768px) {
      margin-bottom: 26px;
    }
  }
  &--decor2 {
    grid-area: img2;
    margin-bottom: 32px;
    position: relative;
  }
  &--decor3 {
    grid-area: img3;
    margin-bottom: 93px;
    position: relative;

    @media (min-width: 768px) {
      margin-bottom: 129px;
    }
  }
}
.graphics__item-margin {
  @media (min-width: 768px) {
    margin-bottom: 129px;
  }
  @media (min-width: 1200px) {
    margin-bottom: 138px;
  }
}

.graphics__link {
  display: block;
  &--decor1 {
    &::before {
      content: '';
      background-image: url(../images/icon/soft-star.svg);
      @include graphics-decor;
      width: 172px;
      height: 172px;
      @media (min-width: 768px) {
        width: 227px;
        height: 227px;
      }
      @media (min-width: 1200px) {
        width: 268px;
        height: 268px;
      }
    }
  }
  &--decor2 {
    &::before {
      content: '';
      background-image: url(../images/icon/butterfly.svg);
      @include graphics-decor;
      width: 134px;
      height: 137px;
      @media (min-width: 768px) {
        width: 147px;
        height: 151px;
      }
      @media (min-width: 1200px) {
        width: 187px;
        height: 191px;
      }
    }
  }
  &--decor3 {
    &::before {
      content: '';
      background-image: url(../images/icon/star.svg);
      @include graphics-decor;
      width: 148px;
      height: 143px;
      @media (min-width: 768px) {
        width: 183px;
        height: 177px;
      }
      @media (min-width: 1200px) {
        width: 233px;
        height: 225px;
      }
    }
  }
}

.graphics__img {
  width: 100%;
  border-radius: 40px;
  display: block;
  filter: grayscale(100%);
}
